Bug 1195058 - (kolab/net_ldap3) Review Request: php-kolab-net-ldap3 - Advanced functionality for accessing LDAP directories
Review Request: php-kolab-net-ldap3 - Advanced functionality for accessing LD...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On: Net_LDAP2
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-22 11:08 EST by Remi Collet
Modified: 2015-03-11 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-kolab-net-ldap3-1.0.2-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-05 07:32:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2015-02-22 11:08:21 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/1f7c4cfdcdc2f5310836629d2cef2e11bd996aab/php/php-kolab-net-ldap3/php-kolab-net-ldap3.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-kolab-net-ldap3-1.0.2-1.remi.src.rpm
Description: 
A successor of the PEAR:Net_LDAP2 module providing advanced functionality
for accessing LDAP directories.

Fedora Account System Username: remi

-- 

Optional dep of roundecubemail

As usually, I plan to clean EL-5 stuff after import.
Comment 1 Remi Collet 2015-02-22 11:09:36 EST
@limb and this one too ;)
Comment 2 Gwyn Ciesla 2015-02-23 15:37:02 EST
Good:

- rpmlint checks return:

Nothing.

- package meets naming guidelines
- package meets packaging guidelines
! license ( Spec says GPLv3+, composer.json says GPLv3)
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Looks like just the license tag unless GPLv3+ is listed elsewhere.
Comment 3 Remi Collet 2015-02-24 02:15:52 EST
Probably "composer.json" is not as much as strict as it should be ;)

From the file header:
 | Licensed under the GNU General Public License version 3 or            |
 | any later version with exceptions for plugins.                        |
Comment 4 Remi Collet 2015-02-24 03:29:22 EST
Upstream bug for reference: https://issues.kolab.org/show_bug.cgi?id=4695
Comment 7 Gwyn Ciesla 2015-02-24 08:52:35 EST
Looks good, thanks!
Comment 8 Remi Collet 2015-02-24 08:57:54 EST
Thanks for the review!

New Package SCM Request
=======================
Package Name: php-kolab-net-ldap3
Short Description: Advanced functionality for accessing LDAP directories 
Upstream URL: http://git.kolab.org/pear/Net_LDAP3/
Owners: remi
Branches: f20 f21 f22 el6 epel7
InitialCC:
Comment 9 Gwyn Ciesla 2015-02-24 09:01:13 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2015-02-24 10:56:01 EST
php-kolab-net-ldap3-1.0.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-kolab-net-ldap3-1.0.2-2.fc20
Comment 11 Fedora Update System 2015-02-24 10:56:06 EST
php-kolab-net-ldap3-1.0.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-kolab-net-ldap3-1.0.2-2.el6
Comment 12 Fedora Update System 2015-02-24 10:56:12 EST
php-kolab-net-ldap3-1.0.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-kolab-net-ldap3-1.0.2-2.fc21
Comment 13 Fedora Update System 2015-02-24 10:56:20 EST
php-kolab-net-ldap3-1.0.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-kolab-net-ldap3-1.0.2-2.el7
Comment 14 Fedora Update System 2015-02-24 16:21:13 EST
php-kolab-net-ldap3-1.0.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 15 Fedora Update System 2015-03-05 07:32:02 EST
php-kolab-net-ldap3-1.0.2-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 16 Fedora Update System 2015-03-05 07:37:46 EST
php-kolab-net-ldap3-1.0.2-2.fc21 has been pushed to the Fedora 21 stable repository.
Comment 17 Fedora Update System 2015-03-11 12:40:14 EDT
php-kolab-net-ldap3-1.0.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 18 Fedora Update System 2015-03-11 12:40:20 EDT
php-kolab-net-ldap3-1.0.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.